# circle.cpp File Reference

Implementation of the "Circle" layer. More...

`#include "circle.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <cmath>`

## Functions

| SYNFIG_LAYER_INIT (Circle)
| SYNFIG_LAYER_SET_NAME (Circle,"circle")
| SYNFIG_LAYER_SET_LOCAL_NAME (Circle, N_("Circle"))
| SYNFIG_LAYER_SET_CATEGORY (Circle, N_("Geometry"))
| SYNFIG_LAYER_SET_VERSION (Circle,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Circle,"$Id$")
Color | NormalBlend (Color a, Color b, float amount)

## Detailed Description

Implementation of the "Circle" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Circle |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Circle | ,
|  | "circle" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Circle | ,
|  | N_("Circle") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Circle | ,
|  | N_("Geometry") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Circle | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Circle | ,
|  | "$Id$" |  |
| ) |  |  |

Color NormalBlend | ( | Color | a,
|  | Color | b,
|  | float | amount |
| ) |  |  |